<script setup lang="ts">
import { onMounted } from 'vue'
import { useHomeStore } from '../store/home'

const homeStore = useHomeStore()
const headers = ['No', 'Invoice ID', 'Net Price', 'Time', 'Date', 'EMP']

onMounted(() => {
  homeStore.methods.fetchRecentTransactions()
})
</script>

<template>
  <v-card block rounded="xl">
    <v-container>
      <v-table class="bg-transparent">
        <caption>
          <v-row class="ma-0">
            <v-col class="text-left">
              <h2>รายการขายล่าสุด</h2>
            </v-col>
            <v-spacer />
            <v-col class="text-right">
              <a
                href="https://www.youtube.com/watch?v=dQw4w9WgXcQ"
                target="_blank"
                class="text-grey"
                >See All</a
              >
            </v-col>
          </v-row>
        </caption>
        <thead>
          <tr>
            <th class="text-left" v-for="h in headers" :key="h">
              {{ h }}
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(item, index) in homeStore.data.recentTransactions" :key="item.id">
            <td class="text-left">{{ index + 1 }}</td>
            <td class="text-left">{{ item.id }}</td>
            <td class="text-left">{{ item.total }}</td>
            <td class="text-left">
              {{ item.createDate.getHours() + ':' + item.createDate.getMinutes() }}
            </td>
            <td class="text-left">
              {{
                item.createDate.getDate() +
                '/' +
                (item.createDate.getMonth() + 1) +
                '/' +
                item.createDate.getFullYear()
              }}
            </td>
            <td class="text-left">
              {{ item.user ?? 'unknown' }}
            </td>
          </tr>
        </tbody>
      </v-table>
    </v-container>
  </v-card>
</template>
